import utils from '../utils/index';
import declareProperty from './declareProperty';
import initProperty from './initProperty/index';
import initElemsStyle from './initElemsStyle';
import addTouchListener from './addTouchListener';

export default function(options) {
    declareProperty.call(this);
    initProperty.call(this, options);
    initElemsStyle.call(this);
    addTouchListener.call(this);

    /**
     *  in most app(except taobao app), when app or webview is hidden, the transitionend listener no done,
     *  so i use setTimeout to replace it at cssAnim method
     */
    // this.transitionEndHandle();

    if (this.slide.auto && this.slide.length > 1) {
        setTimeout(() => this.next(), this.slide.delay);

        if (this.slide.length === 2) {
            utils.setTranslateX(this.elems.lastChild, 0);
        }
    }
}
