import utils from '../utils/index';

let cssTransitionDuration = utils.getCssProperty('transition-duration');
let cssBackfaceVisibility = utils.getCssProperty('backface-visibility');

export default function() {
    let content = this.elems.content;

    if (this.slide.length < 2) {
        this.slide.loop = this.slide.auto = false;
        return;
    }

    this.el.style.width = this.client.width + 'px';
    this.el.style.overflow = 'hidden';
    content.style.width = this.slide.contentWidth + 'px';

    content.style[cssTransitionDuration] = '';
    content.style[cssBackfaceVisibility] = 'hidden';

    if (this.slide.loop) {
        utils.setTranslateX(this.elems.lastChild, -this.slide.contentWidth);
    }
}
